Git::I18N(3)

NAME
Git::I18N - Perl interface to Git's Gettext localizations

SYNOPSIS
        use Git::I18N;

        print __("Welcome to Git!\n");

        printf __("The following error occurred: %s\n"), $error;

DESCRIPTION
Git's internal Perl interface to gettext via Locale::Messages. If Locale::Messages can't be loaded (it's not a core module) we provide stub passthrough fallbacks.

This is a distilled interface to gettext, see "info '(gettext)Perl'" for the full interface. This module implements only a small part of it.

FUNCTIONS

  __($)
Locale::Messages's gettext function if all goes well, otherwise our passthrough fallback function.

AUTHOR
Ævar Arnfjörð Bjarmason <avarab@gmail.com>

COPYRIGHT
Copyright 2010 Ævar Arnfjörð Bjarmason <avarab@gmail.com>